package com.tuoheng.admin.enums.code.inspection;

/**
 *  修改任务信息返回码
 *      模块代码：23（任务管理）
 *      接口代码：03 （修改任务）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-24
 */
public enum EditInspectionCodeEnum {

    EDIT_IS_FAILED(1230300, "修改任务失败"),
    ID_IS_NULL(1230301, "任务ID为空"),
    NAME_IS_NULL(1230302, "任务名为空"),
    TYPE_IS_NULL(1230303, "任务类型为空"),
    ROAD_IS_NULL(1230304, "任务地点为空"),
    SECTION_IS_NULL(1230305, "路段信息为空"),
    INSPECTION_TYPE_IS_NULL(1230306, "巡检方式为空"),
    AIRPORT_IS_NULL(1230307, "巡检机场为空"),
    INSPECTION_LINE_IS_NULL(1230308, "巡检路线为空"),
    INSPECTION_TIME_IS_NULL(1230309, "巡检时间为空"),
    ROAD_IS_NOT_EXIST(1230310, "公路不存在"),
    SECTION_IS_NOT_EXIST(1230311, "路段不存在");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    EditInspectionCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
